<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
      crossorigin="anonymous"
    ></script>
    <style>
      canvas:hover {
        outline: none;
      }

      .canvas-container {
        position: relative;
        width: 100%;
        padding-top: 100%; /* 16:9 Aspect Ratio */
      }

      #pictofit-web-viewer {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        outline: none;
      }

      #materialCodeContainer {
        max-height: 200px;
        overflow-y: scroll;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div class="row">
        <div class="col">
          <h3 class="my-3">Material Editor</h3>
        </div>
      </div>

      <div class="row">
        <div class="col-6">
          <h6>Preview</h6>
          <div class="canvas-container">
            <pictofit-web id="pictofit-web-viewer"></pictofit-web>
          </div>
        </div>

        <div class="col-6">
          <div class="container">
            <div class="row">
              <div class="col">
                <h6>Material Type</h6>

                <div class="btn-group" role="group">
                  <input
                    type="radio"
                    class="btn-check"
                    name="btnmaterial"
                    id="btnmaterial-standard"
                    autocomplete="off"
                    checked
                  />
                  <label class="btn btn-outline-primary" for="btnmaterial-standard">Standard</label>

                  <input type="radio" class="btn-check" name="btnmaterial" id="btnmaterial-pbr" autocomplete="off" />
                  <label class="btn btn-outline-primary" for="btnmaterial-pbr">PBR</label>
                </div>
              </div>
            </div>

            <h6 class="mt-3">Properties</h6>
            <div class="accordion my-3" id="accordionStandardMaterial">
              <div class="accordion-item">
                <h2 class="accordion-header" id="headingStandardEmissive">
                  <button
                    class="accordion-button"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapseStandardEmissive"
                    aria-expanded="true"
                    aria-controls="collapseStandardEmissive"
                  >
                    Emissive
                  </button>
                </h2>
                <div
                  id="collapseStandardEmissive"
                  class="accordion-collapse collapse show"
                  aria-labelledby="headingStandardEmissive"
                  data-bs-parent="#accordionStandardMaterial"
                >
                  <div class="accordion-body">
                    <div id="picker-emissive" class="mb-3"></div>
                    <input class="form-check-input" type="checkbox" value="" id="checkboxLighting" />
                    <label class="form-check-label" for="checkboxLighting"> Disable Lighting </label>
                  </div>
                </div>
              </div>

              <div class="accordion-item">
                <h2 class="accordion-header" id="headingStandardDiffuse">
                  <button
                    class="accordion-button collapsed"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapseStandardDiffuse"
                    aria-expanded="false"
                    aria-controls="collapseStandardDiffuse"
                  >
                    Diffuse
                  </button>
                </h2>
                <div
                  id="collapseStandardDiffuse"
                  class="accordion-collapse collapse"
                  aria-labelledby="headingStandardDiffuse"
                  data-bs-parent="#accordionStandardMaterial"
                >
                  <div class="accordion-body">
                    <div id="picker-diffuse" class="mb-3"></div>
                    <div class="mb-3">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxDiffuseFresnel" />
                      <label class="form-check-label" for="checkboxDiffuseFresnel"> Enable Fresnel Effects </label>
                    </div>
                    <label for="sliderDiffuseBias" class="form-label">Fresnel Bias</label>
                    <input type="range" class="form-range" id="sliderDiffuseBias" value="0" />
                    <label for="sliderDiffusePower" class="form-label">Fresnel Power</label>
                    <input type="range" class="form-range" id="sliderDiffusePower" value="50" />
                    <label for="sliderDiffuseLeft" class="form-label">Fresnel Left Color</label>
                    <input type="range" class="form-range" id="sliderDiffuseLeft" value="0" />
                    <label for="sliderDiffuseRight" class="form-label">Fresnel Right Color</label>
                    <input type="range" class="form-range" id="sliderDiffuseRight" value="100" />
                  </div>
                </div>
              </div>

              <div class="accordion-item">
                <h2 class="accordion-header" id="headingStandardSpecular">
                  <button
                    class="accordion-button collapsed"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapseStandardSpecular"
                    aria-expanded="false"
                    aria-controls="collapseStandardSpecular"
                  >
                    Specular
                  </button>
                </h2>
                <div
                  id="collapseStandardSpecular"
                  class="accordion-collapse collapse"
                  aria-labelledby="headingStandardSpecular"
                  data-bs-parent="#accordionStandardMaterial"
                >
                  <div class="accordion-body">
                    <div id="picker-specular" class="mb-3"></div>
                    <label for="sliderSpecularPower" class="form-label">Specular Power</label>
                    <input type="range" class="form-range" id="sliderSpecularPower" value="16" />
                  </div>
                </div>
              </div>

              <div class="accordion-item">
                <h2 class="accordion-header" id="headingStandardReflection">
                  <button
                    class="accordion-button collapsed"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapseStandardReflection"
                    aria-expanded="false"
                    aria-controls="collapseStandardReflection"
                  >
                    Reflection
                  </button>
                </h2>
                <div
                  id="collapseStandardReflection"
                  class="accordion-collapse collapse"
                  aria-labelledby="headingStandardReflection"
                  data-bs-parent="#accordionStandardMaterial"
                >
                  <div class="accordion-body">
                    <div class="mb-3">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxReflection" />
                      <label class="form-check-label" for="checkboxReflection"> Enabled </label>
                    </div>
                    <div class="mb-3">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxReflectionFresnel" />
                      <label class="form-check-label" for="checkboxReflectionFresnel"> Enable Fresnel Effects </label>
                    </div>
                    <label for="sliderReflectionBias" class="form-label">Fresnel Bias</label>
                    <input type="range" class="form-range" id="sliderReflectionBias" value="0" />
                    <label for="sliderReflectionPower" class="form-label">Fresnel Power</label>
                    <input type="range" class="form-range" id="sliderReflectionPower" value="50" />
                    <label for="sliderReflectionLeft" class="form-label">Fresnel Left Color</label>
                    <input type="range" class="form-range" id="sliderReflectionLeft" value="0" />
                    <label for="sliderReflectionRight" class="form-label">Fresnel Right Color</label>
                    <input type="range" class="form-range" id="sliderReflectionRight" value="100" />
                  </div>
                </div>
              </div>

              <div class="accordion-item">
                <h2 class="accordion-header" id="headingStandardOpacity">
                  <button
                    class="accordion-button collapsed"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapseStandardOpacity"
                    aria-expanded="false"
                    aria-controls="collapseStandardOpacity"
                  >
                    Opacity
                  </button>
                </h2>
                <div
                  id="collapseStandardOpacity"
                  class="accordion-collapse collapse"
                  aria-labelledby="headingStandardOpacity"
                  data-bs-parent="#accordionStandardMaterial"
                >
                  <div class="accordion-body">
                    <label for="sliderOpacity" class="form-label">Alpha</label>
                    <input type="range" class="form-range" id="sliderOpacity" value="100" />
                    <div class="my-3">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxOpacityFresnel" />
                      <label class="form-check-label" for="checkboxOpacityFresnel"> Enable Fresnel Effects </label>
                    </div>
                    <label for="sliderOpacityBias" class="form-label">Fresnel Bias</label>
                    <input type="range" class="form-range" id="sliderOpacityBias" value="0" />
                    <label for="sliderOpacityPower" class="form-label">Fresnel Power</label>
                    <input type="range" class="form-range" id="sliderOpacityPower" value="50" />
                    <label for="sliderOpacityLeft" class="form-label">Fresnel Left Color</label>
                    <input type="range" class="form-range" id="sliderOpacityLeft" value="0" />
                    <label for="sliderOpacityRight" class="form-label">Fresnel Right Color</label>
                    <input type="range" class="form-range" id="sliderOpacityRight" value="100" />
                  </div>
                </div>
              </div>
            </div>

            <div class="accordion my-3" id="accordionPBRMaterial">
              <div class="accordion-item">
                <h2 class="accordion-header" id="headingPBRGeneral">
                  <button
                    class="accordion-button"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapsePBRGeneral"
                    aria-expanded="true"
                    aria-controls="collapsePBRGeneral"
                  >
                    General
                  </button>
                </h2>
                <div
                  id="collapsePBRGeneral"
                  class="accordion-collapse collapse show"
                  aria-labelledby="headingPBRGeneral"
                  data-bs-parent="#accordionPBRMaterial"
                >
                  <div class="accordion-body">
                    <div id="picker-albedo" class="mb-3"></div>
                    <label for="sliderMetallic" class="form-label">Metallic</label>
                    <input type="range" class="form-range" id="sliderMetallic" value="0" />
                    <label for="sliderRoughness" class="form-label">Roughness</label>
                    <input type="range" class="form-range" id="sliderRoughness" value="0" />
                    <label for="sliderDirectIntensity" class="form-label">Direct Intensity</label>
                    <input type="range" class="form-range" id="sliderDirectIntensity" value="50" />
                    <label for="sliderEnvironmentalIntensity" class="form-label">Environmental Intensity</label>
                    <input type="range" class="form-range" id="sliderEnvironmentalIntensity" value="50" />
                    <label for="sliderIndexOfRefraction" class="form-label">Index Of Refraction</label>
                    <input type="range" class="form-range" id="sliderIndexOfRefraction" value="50" />
                  </div>
                </div>
              </div>

              <div class="accordion-item">
                <h2 class="accordion-header" id="headingSubSurface">
                  <button
                    class="accordion-button collapsed"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapsePBRSubsurface"
                    aria-expanded="false"
                    aria-controls="collapsePBRGSubsurface"
                  >
                    Sub Surface
                  </button>
                </h2>
                <div
                  id="collapsePBRSubsurface"
                  class="accordion-collapse collapse"
                  aria-labelledby="headingSubSurface"
                  data-bs-parent="#accordionPBRMaterial"
                >
                  <div class="accordion-body">
                    <div class="my-3">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxSSRefraction" />
                      <label class="form-check-label" for="checkboxSSRefraction"> Refraction Enabled </label>
                    </div>
                    <label for="sliderSSIndexOfRefraction" class="form-label">Index of Refraction</label>
                    <input type="range" class="form-range" id="sliderSSIndexOfRefraction" value="50" />
                    <label for="sliderSSRefractionIntensity" class="form-label">Refraction Intensity</label>
                    <input type="range" class="form-range" id="sliderSSRefractionIntensity" value="50" />
                    <div class="my-3">
                      <input class="form-check-input" type="checkbox" value="" id="checkboxSSTranslucency" />
                      <label class="form-check-label" for="checkboxSSTranslucency"> Translucency Enabled </label>
                    </div>
                    <label for="sliderSSTranslucencyIntensity" class="form-label">Translucency Intensity</label>
                    <input type="range" class="form-range" id="sliderSSTranslucencyIntensity" value="33" />
                  </div>
                </div>
              </div>
            </div>

            <h6 class="mt-3">Code</h6>

            <div class="card mb-3">
              <div class="card-body">
                <div id="materialCodeContainer">
                  <pre><code id="materialCode">This is some text within a card body.</code></pre>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
